#ifndef _IVDescriptor_h_
#define _IVDescriptor_h_

#include "AnalDescriptor.h"

/** \class PedestalDescriptor
     \author V.Zhukov ,IEKP 
     \version 1.1 
     \date 02/2004

    \brief   Define analysis cuts for IV and It tests
 
*/




class IVDescriptor: public AnalDescriptor {
public:
IVDescriptor();
~IVDescriptor(){};
 int  ParseSettings(DOM_Node &e);
  TString IVCutType;
  float Vtest1;
  float Vtest2;
  float Vtest3;
  float Imax1;
  float Imax2;
  float Imax3;

  int flagImax1;  
  int flagImax2; 
  int flagImax3; 

  void print();
  void init();


};



#endif
