#ifndef _ModFlagsDescriptor_h_
#define _ModFlagsDescriptor_h_

#include "AnalDescriptor.h"
#include <map>
/** \class FalgDescriptor
     \author V.Zhukov ,IEKP 
     \version 1.1 
     \date 02/2004

    \brief   Final defect flags
 
*/

class DOM_Node;
class TString;

class ModFlagsDescriptor: public AnalDescriptor {
 public:
ModFlagsDescriptor();
  ~ModFlagsDescriptor() {};
int  ParseSettings(DOM_Node &e);
  int chfunbound1;      // tmp: O in the macro
  int chflikeunbound1;  // tmp: A in the macro
  int chfunbound2;      // tmp: T in the macro
  int chflikeunbound2;  // tmp: B in the macro
  int chfpin;           // tmp: P in the macro
  int chflikepin;       // tmp: C in the macro
  int chflikemidopen;   // tmp: D in the macro
  int chfnoisy;         // tmp: N in the macro
  int chfshort;         // tmp: S in the macro
  int chflikeshort;     // tmp: E in the macro
  int chflikeopen;      // tmp: F in the macro
  int chfunknown;       // tmp: ? in the macro 

 
std::map<int, TString>  cflagmap;
TString getcflag(int i);

void initmap();
void init();
void print();
};


#endif
