#ifndef _PeakTimeDescriptor_h_
#define _PeakTimeDescriptor_h_

#include "AnalDescriptor.h"

/** \class PeakTimeDescriptor
     \author L.Neukermans
     \version 1.0 
     \date 03/2004

    \brief   Define analysis cuts for peak time
 
*/



class PeakTimeDescriptor: public AnalDescriptor  {
public:
PeakTimeDescriptor();
 ~PeakTimeDescriptor() {};
int  ParseSettings(DOM_Node &e);
  TString peaktimeCutType;
  float minPeakTimeCutPk;
  float maxPeakTimeCutPk;
  float minOSPeakTimeCutPk;
  float minTSPeakTimeCutPk;
  float minPeakTimeCutDC;
  float maxPeakTimeCutDC;
  float minOSPeakTimeCutDC;
  float minTSPeakTimeCutDC;

   int flagPeakTime_OSUnbound ; 
   int flagPeakTime_TSUnbound; 
   int flagPeakTime_Low; 
   int flagPeakTime_High; 

  void print();
  void init();
  
};
#endif
