#ifndef _PinholeDescriptor_h_
#define _PinholeDescriptor_h_

#include "AnalDescriptor.h"

/** \class PinholeDescriptor
     \author L.Neukermans, VZ
     \version 1.1 
     \date 03/2004

    \brief   Define analysis cuts for pinhole
 
*/



class PinholeDescriptor: public AnalDescriptor  {
public:
PinholeDescriptor();
 ~PinholeDescriptor(){};
int  ParseSettings(DOM_Node &e);
  TString pinholeCutType;
  float maxLowPHCutPk;
  float maxHighPHCutPk;
  float maxLowPHCutDC;
  float maxHighPHCutDC;

   int flagPinhole_Max1; 
   int flagPinhole_Max2; 


  void print();
  void init();
};
#endif
