#ifndef _PulseHeightDescriptor_h_
#define _PulseHeightDescriptor_h_

#include "AnalDescriptor.h"

/** \class PulseHeightDescriptor
     \author L.Neukermans
     \version 1.0 
     \date 03/2004

    \brief   Define analysis cuts for pulse height
 
*/



class PulseHeightDescriptor: public AnalDescriptor  {
public:
PulseHeightDescriptor();
~PulseHeightDescriptor() {};
int  ParseSettings(DOM_Node &e);
  TString pulseheightCutType;
  float minPulseHeightCutPk;
  float maxPulseHeightCutPk;
  float minPulseHeightCutDC;
  float maxPulseHeightCutDC;
  int fitmode;
  
 int flagPulseHeight_Min; 
 int  flagPulseHeight_Max; 

  void print();
  void init();

};
#endif
