#ifndef _StructLtAnalyzer_H_
#define _StructLtAnalyzer_H_

#include "BaseAnalyzer.h"
#include "AnalDefs.h"
/** 
\class StructLtAnalyzer
\brief 
<p>     StructLtAnalyserAnalyzer: Analyze data stored in Rootfile
        from structure (petal.rods ) test
        check for bad objects, produce badflags
               
     \author V.Zhukov ,IEKP 
     \version 1.0
     \date 02/2004
 
*/

class AnalSetParser;
class RootReader;

class StructLtAnalyzer: 
public BaseAnalyzer  {

 public:
StructLtAnalyzer(AnalSetParser* set, RootReader* r);
virtual  ~StructLtAnalyzer();
void Analyze();
void AnalyzeAndPrint();
LtApvMap getBadChannelMap();
 private:
 RootReader* thereader;
 AnalSetParser* thesettings;
 LtApvMap mbadchannels;
  int Nbadch;


};
#endif
