#ifndef _StructLtRootReader_h_
#define _StructLtRootReader_h_

#include "RootReader.h"

#include "daqerrormsg.h"

#include <TFile.h> 


/** \class StructLtRootReader
    \brief Read and navigate in the  root file
    produced by structure test   
    \author V.Zhukov,IEKP   
    \version 1.0 
    \date  02/2004
    
*/

class StructLtRootReader: 
public RootReader {
  
  public:
StructLtRootReader(const  char* filename);
~StructLtRootReader();
// here related to the navigation in the structu root file
  TString GetDate();
  TString GetTestCenter();
  TString GetVersion();
  TString GetOperator();
};
#endif
