#include "TNamed.h"
#include "TString.h"

#include "ModRootReader.h"


ModRootReader::ModRootReader(const  char* filename): RootReader( filename)
{
}
/**/
ModRootReader::~ModRootReader()
{
  //  if(therootfile) delete therootfile;
}
TString ModRootReader::GetDate()
{
  SetRecord(GetRecordNr());
  TNamed* data= (TNamed*) Find("Date_C");
  if(data)  return data->GetTitle();
}
TString ModRootReader::GetTestCenter()
{
  SetRecord(GetRecordNr());
  TNamed* data= (TNamed*) Find("TestCenter_C");
  if(data)  return data->GetTitle();
   else return "None";
}
TString ModRootReader::GetVersion()
{
  SetRecord(GetRecordNr());
  TNamed* data= (TNamed*) Find("Version_C");
  if(data)  return data->GetTitle();
  else return "None";
}
TString ModRootReader::GetOperator()
{
  SetRecord(GetRecordNr());
  TNamed* data= (TNamed*) Find("Operator_C");
   if(data) return data->GetTitle();
    else return "None";
}

