#ifndef _BadChannelFlag_h_
#define _BadChannelFlag_h_


/** \class BadChannelFlag
     \author L.Neukermans 
     \version 1.0 
     \date 03/2004

    \brief   Define flags for badchannels
 
*/


class BadChannelFlag {
 public:
  static const int Noise_OSUnbound    = 1; 
  static const int Noise_TSUnbound    = 2; 
  static const int Noise_Low          = 3; 
  static const int Noise_High         = 4; 

  static const int Pedestal_Low       = 1; 
  static const int Pedestal_High      = 2; 
  
  static const int PeakTime_OSUnbound = 1; 
  static const int PeakTime_TSUnbound = 2; 
  static const int PeakTime_Low       = 3; 
  static const int PeakTime_High      = 4; 

  static const int Gain_OSUnbound     = 1; 
  static const int Gain_Low           = 2; 
  static const int Gain_High          = 3; 
  static const int Gain_PH            = 4; 

  static const int Pinhole_Max1       = 1; 
  static const int Pinhole_Max2       = 2; 

  static const int PulseHeight_Min    = 1; 
  static const int PulseHeight_Max    = 2; 

};

#endif
