#ifndef _BaseAnalyzer_H_
#define _BaseAnalyzer_H_



/**
    \class BaseAnalysis
     \brief     
      BaseAnalyzer abstract  class for Mod, Lt and Structure Analyzers
               
     \author V.Zhukov ,IEKP 
     \version 1.0
     \date 02/2004
 
*/ 
class DbParser;

class BaseAnalyzer {
 public:

virtual void Analyze()=0;
virtual void AnalyzeAndPrint()=0;
};
#endif
