#ifndef _GainDescriptor_h_
#define _GainDescriptor_h_

#include "AnalDescriptor.h"

/** \class GainDescriptor
     \author L.Neukermans, VZ
     \version 1.1
     \date 03/2004

    \brief   Define analysis cuts for gains
 
*/



class GainDescriptor: public AnalDescriptor  {
 public:
GainDescriptor();
~GainDescriptor()  {};
int  ParseSettings(DOM_Node &e);
  TString gainCutType;
  float minGainCutPk;
  float maxGainCutPk;
  float minOSGainCutPk;
  float maxPHGainCutPk;
  float minGainCutDC;
  float maxGainCutDC;
  float minOSGainCutDC;
  float maxPHGainCutDC;

   int flagGain_OSUnbound; 
   int flagGain_Low; 
  int flagGain_High; 
  int flagGain_PH; 

  void print();
  void init();
};
#endif
