#ifndef _LtApvMap_H_
#define _LtApvMap_H_

#include <iostream>
#include <map>

/** 
    \class LtApvMap
\brief 
<p>     LtApvMap: define a type for mapping bad chanels for each APV modes

\author L.Neukermans
\version 1.0
\date 03/2004

*/
/** \brief operator to compare strings */
typedef struct ltstr
{
  bool operator()(const char* s1, const char* s2) const
  {
    return strcmp(s1, s2) < 0;
  }
};

typedef std::map<int, int, std::less<int> > LtMap;
typedef std::map<const char*, LtMap, ltstr> LtApvMap;

#endif
