#ifndef _ModLtAnalyzer_H_
#define _ModLtAnalyzer_H_

#include "BaseAnalyzer.h"
#include "AnalDefs.h"
/** 
\class ModLtAnalyzer
\brief 
<p>     ModLtAnalyzer: Analyze data stored in Root file
        from Module Lt test
        check for bad objects, produce badflags
               
     \author V.Zhukov ,IEKP 
     \version 1.0
     \date 02/2004
 
*/

class AnalSetParser;;
class RootReader;

class ModLtAnalyzer: 
public BaseAnalyzer  {


 public:
ModLtAnalyzer(AnalSetParser* set, RootReader* r);
 virtual  ~ModLtAnalyzer();
 void Analyze();
 void AnalyzeAndPrint();
 LtApvMap getBadChannelMap();
 private:
 RootReader* thereader;
 AnalSetParser* thesettings;
 LtApvMap mbadchannels;
  int Nbadch;

};
#endif
