#ifndef _ModLtRootReader_h_
#define _ModLtRootReader_h_

#include <TFile.h> 
#include "RootReader.h" 
#include "daqerrormsg.h"

/** \brief Read and navigate  root file
              
     \author V.Zhukov,IEKP   
     \version 1.0 
     \date  02/2004
 
*/



class ModLtRootReader: 
public RootReader {

  public:
ModLtRootReader(const char* filename);
~ModLtRootReader();
// here some extra related to the module lt  root
  TString GetDate();
  TString GetTestCenter();
  TString GetVersion();
  TString GetOperator();
};
#endif
