#ifndef _NoiseDescriptor_h_
#define _NoiseDescriptor_h_

#include "AnalDescriptor.h"
/** \class NoiseDescriptor      
     \author V.Zhukov ,IEKP 
     \version 1.0 
     \date 02/2004

    \brief   Define analysis cuts for noise
 
*/

class NoiseDescriptor: public AnalDescriptor {
 public:
NoiseDescriptor();
~NoiseDescriptor() {};
int  ParseSettings(DOM_Node &e);
/** \brief type of cut: percentage/abs  */
  TString noiseCutType;       
/** \brief value for 1 sensor unbounded in peak mode*/
  float minOneSensNoiseCutPk; 
/** \brief value for 2 sensor unbounded in peak mode*/
  float minTwoSensNoiseCutPk; 
  float minNoiseCutPk;       
  float maxNoiseCutPk;
/** \brief value for 1 sensor unbounded in DC mode*/
  float minOneSensNoiseCutDC; 
/** \brief value for 2 sensor unbounded in DC mode*/
  float minTwoSensNoiseCutDC; 
  float minNoiseCutDC;       
  float maxNoiseCutDC;
 
   int flagNoise_OSUnbound; 
   int flagNoise_TSUnbound; 
   int flagNoise_Low; 
   int flagNoise_High; 
 
  void print(); 
  void init();
};

#endif
