#ifndef _PedestalDescriptor_h_
#define _PedestalDescriptor_h_

#include "AnalDescriptor.h"

/** \class PedestalDescriptor
     \author V.Zhukov ,IEKP 
     \version 1.1 
     \date 02/2004

    \brief   Define analysis cuts for pedestal
 
*/


class PedestalDescriptor: public AnalDescriptor {
public:
PedestalDescriptor();
 ~PedestalDescriptor(){};

int  ParseSettings(DOM_Node &e);
  /** \brief type of cut: percentage/abs  */
  TString pedCutType;       
  float minPedCutPk;
  float maxPedCutPk;
  float minPedCutDC;
  float maxPedCutDC;

  int flagPedestal_Low;
  int flagPedestal_High; 

void init();
void print();
};

#endif
