#include "CalAmpDescriptor.h"
#include <parsers/DOMParser.hpp>
#include <dom/DOM.hpp>
#include <dom/DOM_NamedNodeMap.hpp>
#include "DOMTreeErrorReporter.hpp"
#include <cstdio>
#include <TString.h>


using namespace std;

CalAmpDescriptor::CalAmpDescriptor(): AnalDescriptor() {
  init();
}

//
void CalAmpDescriptor::init() {
    Name = "CalAmpDescriptor";
     calampCutType  = "NotDefined";
     minHeight = -999.;
     maxHeight = -999.; 
  
flagHeight_min=2;
flagHeight_max=4; 
 
  }
//
 void CalAmpDescriptor::print() {
cout <<"[CalAmpDescriptor::print] ------------------------------ " <<endl;
cout <<"  TString calampCutType         = "<<calampCutType         <<endl;
cout <<"  float  minHeight              = "<< minHeight            <<endl; 
cout <<"  float   maxHeight             = "<< maxHeight            <<endl; 
cout<<"[CalAmpDescriptor::print] ---------------------------- end"<<endl;
  }
//
int  CalAmpDescriptor::ParseSettings(DOM_Node &ei)
{
 DT_NOTE(" CalAmp "); 
DOM_NamedNodeMap attributes = ei.getAttributes();
DOM_Node e = attributes.getNamedItem("calampCutType");
  if(! e.isNull() ) {calampCutType = (TString) e.getNodeValue().transcode();  }
 e = attributes.getNamedItem(" minHeight");
 if(! e.isNull() ) { minHeight =atof(e.getNodeValue().transcode());  }
 e = attributes.getNamedItem("maxHeight");
 if(! e.isNull() ) { maxHeight =atof(e.getNodeValue().transcode());  }
  return 0;
}
