#include "FBiasDescriptor.h"
#include <parsers/DOMParser.hpp>
#include <dom/DOM.hpp>
#include <dom/DOM_NamedNodeMap.hpp>
#include "DOMTreeErrorReporter.hpp"
#include <cstdio>
#include <TString.h>


using namespace std;

FBiasDescriptor:: FBiasDescriptor(): AnalDescriptor() {
  init();
}

//
void  FBiasDescriptor::init() {
    Name = "PipelineDescriptor";
     fbiasCutType  = "NotDefined";
     minHeight = -999.;
     maxHeight = -999.; 
  
flagHeight_min=2;
flagHeight_max=4; 
 
  }
//
 void  FBiasDescriptor::print() {
cout <<"[FBiasDescriptor::print] ------------------------------" <<endl;
cout <<"  TString fbiasCutType         = "<<fbiasCutType         <<endl;
cout <<"  float  minHeight             = "<< minHeight           <<endl; 
cout <<"  float   maxHeight            = "<< maxHeight           <<endl; 
cout<<"[FBiasDescriptor::print] ---------------------------- end"<<endl;
  }
//
int   FBiasDescriptor::ParseSettings(DOM_Node &ei)
{
 DT_NOTE(" FBias "); 
DOM_NamedNodeMap attributes = ei.getAttributes();
DOM_Node e = attributes.getNamedItem("fbiasCutType");
  if(! e.isNull() ) {fbiasCutType = (TString) e.getNodeValue().transcode();  }
 e = attributes.getNamedItem(" minHeight");
 if(! e.isNull() ) { minHeight =atof(e.getNodeValue().transcode());  }
 e = attributes.getNamedItem("maxHeight");
 if(! e.isNull() ) { maxHeight =atof(e.getNodeValue().transcode());  }
  return 0;
}
