#include "StructLtRootReader.h"

#include "TString.h"

StructLtRootReader::StructLtRootReader(const char* filename):
RootReader(filename) 
{
 DT_DEBUG_LTAPPL(" created rootreader ");
}


StructLtRootReader::~StructLtRootReader() 
{
}
TString StructLtRootReader::GetDate()
{
  SetRecord(GetRecordNr());
  TNamed* data= (TNamed*) Find("Date_C");
   if(data)  return data->GetTitle();
      else return "None";
}
TString StructLtRootReader::GetTestCenter()
{
  SetRecord(GetRecordNr());
  TNamed* data= (TNamed*) Find("Testcenter_C");
 if(data) return data->GetTitle();
 else  return "None";
}
TString StructLtRootReader::GetVersion()
{
  SetRecord(GetRecordNr());
  TNamed* data= (TNamed*) Find("TNprogramversion");
  if(data) return data->GetTitle();
  else return "None";
}
TString StructLtRootReader::GetOperator()
{
  SetRecord(GetRecordNr());
  TNamed* data= (TNamed*) Find("Operator_C");
 if(data) return data->GetTitle();
 else  return "None";
}
