#ifndef _DbLUT_h_
#define _DbLUT_h_
#include <map>
#include <qstring.h>
#include "DbForm.h"


/** \brief LookUp Table of correspondance
           Central Db XML tags and ModuleTest  Record
              
     \author V.Zhukov,UIA   
     \version 2.1 
     \date 2003 11/02
     \updated J.Fernandez,UniKa
     \date 01/2004
 
*/


class DbLUT {
public:
DbLUT();
~DbLUT();

std::map<const QString, DbForm>*  getDbLut() {return  &thelut;} 
DbForm find(const QString& s);
void initmap();
void initmapCB(); // for Cold Box modules
void initmapARC(); // for ARC modules test
 private:
std::map<const QString, DbForm>  thelut;


};
#endif
