#ifndef DefaultPath_H
#define DefaultPath_H
#include <string>

namespace lttest {
  /** this can be used to generate an overal project version id 
      by defualt it is set to "notdefined"
      as it is not a constant it can be manipulated 
      should only be manupiated by the main funcion 
  */
  extern std::string projectversionnumber;

  /** returns the default path name to the data directory
      @param chdef default path will be changed to chdef
      @init if true the default path will be chagned to the hard coded 
       initial value
  */
  std::string DefaultDataPath(std::string chdef="",bool init=false) ;

  std::string DefaultExecPath(std::string chdef="",bool init=false) ;
   
  std::string DefaultConfigPath(std::string chdef="",bool init=false) ;
  
  std::string DefaultStructHomePath(std::string chdef="",bool init=false); 
  
  std::string DefaultStuctureInfoPath(std::string chdef="",bool init=false);
  
  std::string DefaultScenarioFilePath(std::string chdef="",bool init=false);
  
  std::string DefaultLogFilePath(std::string chdef="",bool init=false);
  /** returns the full location 
      if filename starts with '/' the filename is returned
      else pathname+ ['/'] + filename is returned
      if pathname or filename is empty a 0 string will return;
  */
  std::string FullPathFilename(std::string filename,std::string pathname);
  /** strips the cvs subsitution key word and the preceeding $ */
  std::string  StripCvsSubsitution( const std::string cvssub);
};

#endif 
