#ifndef CCUINFO
#define CCUINFO 
#include <vector>
#include <string>
#include "dcuinfo.h"

class CcuInfo {
 public:
  friend class CcuInfoParser;
  CcuInfo( int addr) { fAddress=addr;}
  CcuInfo( ) { fAddress=-1;}
  ~CcuInfo( ){
    for (unsigned int lc=0;lc<dcus.size();lc++){
      delete dcus[lc];
    }
    dcus.clear();
  }
  void AddDcu( DcuInfo* du) { dcus.push_back(du);}
  int  getCcuAddr(){return fAddress;}
  std::string getCCuId(){ return ccuid;}
  int getNrDcu() { return dcus.size();}
  DcuInfo* getDcuInfo(int i) { 
    if( (unsigned int)i< dcus.size()) { return dcus[i];}
    else {return 0;}
  }
  
  void setSimulationMode( bool sim){  theSimulation =sim;}
  bool  getSimulationMode() {return theSimulation;}

    protected:
  int fAddress; 
  std::vector<DcuInfo*> dcus;
  std::string ccuid; 
  bool theSimulation;

};

#endif
